{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, utils }:
      utils.lib.eachDefaultSystem (system:
        let 
          pkgs = import nixpkgs { inherit system; config.allowUnfree = true; };
          ffmpreg = pkgs.ffmpeg;
        in {
          devShell = with pkgs; mkShell {
            buildInputs = with pkgs; [ sqlite bun bash yt-dlp mkvtoolnix ffmpreg chromaprint opustags ];
            LD_LIBRARY_PATH = lib.makeLibraryPath [ stdenv.cc.cc.lib ];
          };
        }
      );
}
